Subject: New Reply Received - I order a black color pillow cover. They sends a wrong color. I called and whatsapp to the customer ...
From: Home Box <[email-masked]>
To: [email-masked]
Date: Wed, 22 Mar 2023 07:26:08 +0000

Hi Amir Aziz,  The customer has responded to the ticket.  I order a black color pillow cover. They sends a wrong color. I called and whatsapp to the customer ...  Ticket comment <div>Mohamed Shihan i agree Homebox Stores  has the worst after sales service... Defective wardrobe and dresser lying in my home half fixed..... And no one is responding or coming to fix.... Now they are asking 2 days to get it done as if it was my mistake.</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5906080